Add and remove attack discovery alert tags

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/tags
  • POST /s/{space_id}/api/detection_engine/attacks/tags
Auth

Add tags to attack discovery alerts, and remove them from alerts, by attack IDs in a single request. Optionally cascade tag changes to related detection alerts.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

An object containing tags to add or remove and attack ids the changes will be applied to

ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

tags object required

Object with list of tags to add and remove.

tags_to_add string[] · format: nonempty required

List of keywords to organize related alerts into categories that you can filter and group.

tags_to_remove string[] · format: nonempty required

List of keywords to organize related alerts into categories that you can filter and group.

When true, the change is also applied to detection alerts related to the attacks via kibana.alert.attack_discovery.alert_ids.

Responses

Successful response

application/json

Response Type: object

Base URL
https://{kibana_url}